<?php
require_once"../../template/start.php";
require_once"../../template/regglobals.php";
require_once"../../template/config.php";
require_once"../../template/functions.php";
require_once"../../template/antidos.php";
require_once"../../template/cookies.php";
require_once"../../template/gzip.php";
require_once"../../template/header.php";
require_once"../../template/referer.php";
include_once"../../themes/$config_themes/index.php";
include_once"../../template/isset.php";

include "func.inc";
include "conf.inc";

$text = @file("../../local/profil/$log.prof"); 
if ($text!="")
{
$udata = explode(":||:",$text[0 ]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);
}
if(!isset($did)){echo "Не выбрана директория для загрузки";
echo"<br>
<center>[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../index.php?SID=$SID'>На главную</a>]</center>";}
 else {
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103){
 echo"Привет, $log<br>";
 
$upldid="../files$did";
list($tip,$oform)=file_type(".");
if($act=="load"){
if (($_FILES['fild1']['size']) <= $max_size_scr*1024){
$fides = @file_get_contents($_FILES["fild1"]["tmp_name"]);
$prov = htmlspecialchars($fides);
	if((preg_match("/\bphp/i",$_FILES['fild1']['name'])) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Скриншот GIF. Попытка залить скрипт. Так делать нельзя!!!<br>";
	}
	else{
	   $format=format($name);
	   $name=str_replace(".$format","",$name);
	   $name=str_replace("/","",$name);
	   $format=format($_FILES['fild1']['name']);
	   
       if(((array_search($format,$oform))==true)){
       	$upl = '../files'.$did.'/'.$name.'.'.$format;
       	if (file_exists($upl)==false){
			
       		if((move_uploaded_file($_FILES["fild1"]["tmp_name"], $upl))==true){
       			echo "Cкриншот GIF загружен <br><br>";
					
       		}else {
       			echo "Cкриншот GIF не загружен<br><br>";
       		}
       	}
       	else echo "Скриншот GIF к этому файлу уже существует.Bыберите другой файл<br><br>"; 
       } 
       else echo "Cкриншот GIF не загружен<br><br>";      
	}	
}
else echo "Размер скриншота GIF превышает лимит";

if (($_FILES['fild2']['size']) <= $max_size_scr*1024){
$fides = @file_get_contents($_FILES["fild2"]["tmp_name"]);
$prov = htmlspecialchars($fides);
	if((preg_match("/\bphp/i",$_FILES['fild2']['name'])) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Скриншот JPG. Попытка залить скрипт. Так делать нельзя!!!<br>";
	}
	else{
	   $format=format($name);
	   $name=str_replace(".$format","",$name);
	   $name=str_replace("/","",$name);
	   $format=format($_FILES['fild2']['name']);
	   
       if(((array_search($format,$oform))==true)){
       	$upl = '../files'.$did.'/'.$name.'.'.$format;
       	if (file_exists($upl)==false){
			
       		if((move_uploaded_file($_FILES["fild2"]["tmp_name"], $upl))==true){
       			echo "Cкриншот JPG загружен <br><br>";
					
       		}else {
       			echo "Cкриншот JPG не загружен<br><br>";
       		}
       	}
       	else echo "Скриншот JPG к этому файлу уже существует.Bыберите другой файл<br><br>"; 
       } 
       else echo "Cкриншот JPG не загружен<br><br>";      
	}	
}
else echo "Размер скриншота JPG превышает лимит";

if (($_FILES['fild3']['size']) <= $max_size_scr*1024){
$fides = @file_get_contents($_FILES["fild3"]["tmp_name"]);
$prov = htmlspecialchars($fides);
	if((preg_match("/\bphp/i",$_FILES['fild3']['name'])) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Скриншот PNG. Попытка залить скрипт. Так делать нельзя!!!<br>";
	}
	else{
	   $format=format($name);
	   $name=str_replace(".$format","",$name);
	   $name=str_replace("/","",$name);
	   $format=format($_FILES['fild3']['name']);
	   
       if(((array_search($format,$oform))==true)){
       	$upl = '../files'.$did.'/'.$name.'.'.$format;
       	if (file_exists($upl)==false){
			
       		if((move_uploaded_file($_FILES["fild3"]["tmp_name"], $upl))==true){
       			echo "Cкриншот PNG загружен <br><br>";
					
       		}else {
       			echo "Cкриншот PNG не загружен<br><br>";
       		}
       	}
       	else echo "Скриншот PNG к этому файлу уже существует.Bыберите другой файл<br><br>"; 
       } 
       else echo "Cкриншот PNG не загружен<br><br>";      
	}	
}
else echo "Размер скриншота PNG превышает лимит";

if (($_FILES['fild4']['size']) <= $max_size_scr*1024){
$fides = @file_get_contents($_FILES["fild4"]["tmp_name"]);
$prov = htmlspecialchars($fides);
	if((preg_match("/\bphp/i",$_FILES['fild4']['name'])) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Скриншот JPEG. Попытка залить скрипт. Так делать нельзя!!!<br>";
	}
	else{
	   $format=format($name);
	   $name=str_replace(".$format","",$name);
	   $name=str_replace("/","",$name);
	   $format=format($_FILES['fild4']['name']);
	   
       if(((array_search($format,$oform))==true)){
       	$upl = '../files'.$did.'/'.$name.'.'.$format;
       	if (file_exists($upl)==false){
			
       		if((move_uploaded_file($_FILES["fild4"]["tmp_name"], $upl))==true){
       			echo "Cкриншот JPEG загружен <br><br>";
					
       		}else {
       			echo "Cкриншот JPEG не загружен<br><br>";
       		}
       	}
       	else echo "Скриншот JPEG к этому файлу уже существует.Bыберите другой файл<br><br>"; 
       } 
       else echo "Cкриншот JPEG не загружен<br><br>";      
	}	
}
else echo "Размер скриншота JPEG превышает лимит";
}
else { echo "</div><div class=b>Загрузка скриншота:</div><br>";
	echo"Максимальный размер скриншота для загрузки: $max_size_scr Кб<br>
	Разрешенные форматы для загрузки скрина:<br>";
	foreach ($oform as $val_scr){	
		if ($val_scr!==""){
	echo "[$val_scr]<br>";}	
	}}	

		 
if($edo==1){

echo "Выберите Файл:<br>";
$odir=opendir("../files$did");
list($tip,$oform)=file_type("../files$did");
while (($fid=readdir($odir))==true){
$format=format($fid);
$nmf=str_replace(".$format","",$fid);
if ((($fid!==".")&&($fid!=="..")) and (array_search($format,$oform)==true or ($tip=="java" and $format=="jar")) and is_dir("../files$did/$fid")==false)
{$all_files[]="/$fid";}

}
closedir($odir);
echo "<form action=\"?edo=2&did=$did&SID=$SID\" method='post' enctype='multipart/form-data'>";
echo "<select name='name'>";
foreach ($all_files as $n=>$fid){$name=str_replace("/","",$fid);
echo "<option value=$fid>$name</option>";}
echo "</select><br>";
echo "<input type=submit value='Далее >>'><br><br></form>";
}

if($edo==2){
echo "<form action=\"?act=load&did=$did&SID=$SID\" method='post' enctype='multipart/form-data'>";

	   $format=format($name);
	   $nmf=str_replace(".$format","",$name);
	   $nmf=str_replace("/","",$nmf);
echo "<input type=hidden name=name value=$name>";
if (file_exists("../files$did/$nmf.gif")!==true){

	echo"<br>Выберите сктиншот GIF:<br>
         <input type=file name=fild1><br>";
}
if (file_exists("../files$did/$nmf.jpg")!==true){

	echo"<br>Выберите сктиншот JPG:<br>
         <input type=file name=fild2><br>";
}
if (file_exists("../files$did/$nmf.png")!==true){

	echo"<br>Выберите сктиншот PNG:<br>
         <input type=file name=fild3><br>";
}
if (file_exists("../files$did/$nmf.jpeg")!==true){

	echo"<br>Выберите сктиншот JPEG:<br>
         <input type=file name=fild4><br>";
         
}
echo "<input type=submit value='Загрузить'>
	  </form><br>";
}
}else{ echo "Вам сюда нельзя!!!<br>";}
}else{ echo "Идите пожалуйста НАХУЙ!!!<br>";}
echo "<center>[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php?SID=$SID'>На главную</a>]</center>";}
include_once"../../themes/$config_themes/foot.php";
?>